# wazo-nestbox-plugin

This repository contains 2 plugins:

- wazo-webhookd plugin to track users from a engine to a nestbox.
- wazo-auth plugin to inject a portal JWT in the engine users token.

## Installation

```sh
apt install wazo-nestbox-plugin
```

## Configuration

### Nestbox

Create a policy with the following ACL:

```
confd.engines.instances.<instance_uuid>.accounts.#
```

Create a credential for the plugin with the created policy

### Engine

To add an engine when the wizard has already been executed without adding a link
to Nestbox

```sh
cp /usr/share/wazo-nestbox-plugin/templates/50-wazo-plugin-nestbox.yml.sample /usr/share/wazo-setupd/50-wazo-plugin-nestbox.yml
chmod 644 /usr/share/wazo-setupd/50-wazo-plugin-nestbox.yml
chown wazo-setupd:wazo-setupd 50-wazo-plugin-nestbox.yml
vim /usr/share/wazo-setupd/50-wazo-plugin-nestbox.yml
systemctl restart wazo-auth wazo-webhookd
```

## Limitations

- An event is sent each time the user is updated, even if the
  `subscription_type` didn't changed.
